                               /* utils.c, 19 Jan 10 */

#include <stdlib.h>

#include "errors.h"


void * get_heap(size_t mem_size)
{
void * mem_ptr = malloc(mem_size);

if (mem_ptr == NULL)
   print_error("Out of memory (%d)\n", mem_size);

return mem_ptr;
}

